Retrieve an Element Dynamic Attribute

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V80 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v80/mcp"
  }
}

Close
GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes/{dynamic_attribute}

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

  • element_id number Required

    id of the element

  • dynamic_attribute string Required

    name of dynamic attribute

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • dynamicattribute_1224hourtime string
    • last_modified_date string

      04-02T02:07:29+00:00" - Last time this attribute was modified

    • type string Required

      will display what type the value has to be, for example string or number

    • value string Required

      this value type can change based on dynamic attribute

GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes/{dynamic_attribute}
curl \
 --request GET 'https://api.iformbuilder.com/exzact/api/v80/%5Bservername%5D/profiles/self/pages/{page_id}/elements/{element_id}/dynamic_attributes/{dynamic_attribute}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "dynamicattribute_1224hourtime": "string",
  "last_modified_date": "string",
  "type": "string",
  "value": "string"
}